#ifndef FLUTTER_PLUGIN_DIALOG_PP_FLUTTER_PLUGIN_H_
#define FLUTTER_PLUGIN_DIALOG_PP_FLUTTER_PLUGIN_H_

#include <flutter/method_channel.h>
#include <flutter/plugin_registrar_windows.h>

#include <memory>

namespace dialog_pp_flutter {

class DialogPpFlutterPlugin : public flutter::Plugin {
 public:
  static void RegisterWithRegistrar(flutter::PluginRegistrarWindows *registrar);

  DialogPpFlutterPlugin();

  virtual ~DialogPpFlutterPlugin();

  // Disallow copy and assign.
  DialogPpFlutterPlugin(const DialogPpFlutterPlugin&) = delete;
  DialogPpFlutterPlugin& operator=(const DialogPpFlutterPlugin&) = delete;

 private:
  // Called when a method is called on this plugin's channel from Dart.
  void HandleMethodCall(
      const flutter::MethodCall<flutter::EncodableValue> &method_call,
      std::unique_ptr<flutter::MethodResult<flutter::EncodableValue>> result);
};

}  // namespace dialog_pp_flutter

#endif  // FLUTTER_PLUGIN_DIALOG_PP_FLUTTER_PLUGIN_H_
